| Bsoft 2.0.5 Bernard's software package

Functions | Variables
bproject.cpp File Reference

Projecting a 3D map and calculating comparison statistics of the projections. More...

`#include "rwimg.h"`
`#include "matrix_util.h"`
`#include "symmetry.h"`
`#include "ps_views.h"`
`#include "linked_list.h"`
`#include "options.h"`
`#include "utilities.h"`
`#include "timer.h"`

Go to the source code of this file.

## Functions
Matrix | img_compare_projections (Bimage *p, double SNR, double hires, double lores, double shift_limit)
| Compares a set of projections from a 3D density map. More...
int | img_compare_projections_lowpass (Bimage *p, double SNR, double shift_limit)
| Compares a set of projections from a 3D density map. More...
int | main (int argc, char **argv)
double | img_compare_one_projection (Bimage *p, Bimage *pref, long i, double hires, double lores, double radius, double sigma, Matrix *cc, fft_plan planf, fft_plan planb)
Matrix * | img_compare_projections_driver (Bimage *p, double SNR, double hires, double lores, double shift_limit)

## Variables
int | verbose
const char * | use []

## Detailed Description

Projecting a 3D map and calculating comparison statistics of the projections.

Author
  Bernard Heymann

Date
  Created: 20010420
  Modified: 20190424

Definition in file bproject.cpp.

## Function Documentation

## ◆ img_compare_one_projection()

double img_compare_one_projection | ( | Bimage * | p,
|  | Bimage * | pref,
|  | long | i,
|  | double | hires,
|  | double | lores,
|  | double | radius,
|  | double | sigma,
|  | Matrix * | cc,
|  | fft_plan | planf,
|  | fft_plan | planb
| ) |  |

Definition at line 347 of file bproject.cpp.

## ◆ img_compare_projections()

Matrix img_compare_projections | ( | Bimage * | p,
|  | double | SNR,
|  | double | hires,
|  | double | lores,
|  | double | shift_limit
| ) |  |

Compares a set of projections from a 3D density map.

Parameters

  *p | the 2D projections.
  SNR | SNR to impose on test projections.
  hires | high resolution limit.
  lores | low resolution limit.
  shift_limit | limit on cross-correlation shift.

Returns
  Matrix matrix with projection comparisons.

Definition at line 422 of file bproject.cpp.

## ◆ img_compare_projections_driver()

Matrix* img_compare_projections_driver | ( | Bimage * | p,
|  | double | SNR,
|  | double | hires,
|  | double | lores,
|  | double | shift_limit
| ) |  |

Definition at line 371 of file bproject.cpp.

## ◆ img_compare_projections_lowpass()

int img_compare_projections_lowpass | ( | Bimage * | p,
|  | double | SNR,
|  | double | shift_limit
| ) |  |

Compares a set of projections from a 3D density map.

Parameters

  *p | the 2D projections.
  SNR | SNR to impose on test projections.
  shift_limit | limit on cross-correlation shift.

Returns
  int 0.

Definition at line 485 of file bproject.cpp.

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 68 of file bproject.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Definition at line 26 of file bproject.cpp.

## ◆ verbose

int verbose